import random

numbers = tuple(random.randint(20, 40) for _ in range(50))

print("Кортеж:", numbers)

a = 0
b = 0
c = 0
s = 0


for num in numbers:
    if num % 2 == 0:
        a += 1
    if num % 3 == 0:
        b+= 1
    if num % 4 == 0:
        c += 1
    if num % 5 == 0:
        s += 1

print(f"\nРезультаты анализа:")
print(f"Четных чисел: {a}")
print(f"Кратных 3: {b}")
print(f"Кратных 4: {c}")
print(f"Кратных 5: {s}")
